Bug 742613 - [PATCH] Anaconda text is cut in half with graphics adapter, ppc64
Summary: [PATCH] Anaconda text is cut in half with graphics adapter, ppc64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 16
Hardware: ppc64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F16Betappc
TreeView+ depends on / blocked
 
Reported: 2011-09-30 18:57 UTC by Brent Baude
Modified: 2013-01-20 15:32 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 15:32:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of anaconda (493.46 KB, image/jpeg)
2011-09-30 18:58 UTC, Brent Baude
no flags Details
fix for snarffont, fix for alignment problems (1.05 KB, image/x-3ds)
2011-10-20 13:21 UTC, Karsten Hopp
no flags Details
screenfont for ppc64 (5.19 KB, application/x-tar)
2011-10-20 13:26 UTC, Karsten Hopp
no flags Details
updated fix for snarffont, fix for alignment problems (861 bytes, patch)
2011-10-20 13:35 UTC, Karsten Hopp
no flags Details | Diff

Description Brent Baude 2011-09-30 18:57:04 UTC
Description of problem:
When booting the 0929 ISO on a ppc64 system with a graphics card, the text is cut in half (upper half missing -- see attached picture) after Anaconda loads.  initially the text appears fine, but when the anaconda (service?) starts, the screen flashes and all text is cut in half. 

Version-Release number of selected component (if applicable):
0929

How reproducible:


Steps to Reproduce:
1. boot 0929 on a graphics capable box

  
Actual results:


Expected results:


Additional info:

Comment 1 Brent Baude 2011-09-30 18:58:35 UTC
Created attachment 525808 [details]
screenshot of anaconda

Comment 2 Adam Jackson 2011-10-11 15:51:29 UTC
What graphics chip is in use on this machine?

Comment 3 Brent Baude 2011-10-11 15:59:24 UTC
we see this on a matrox g400 warp and ATI Radeon 9600

Comment 4 Karsten Hopp 2011-10-11 16:05:57 UTC
Here's the package repo that was used to create the 0929 install iso:
http://ppc.koji.fedoraproject.org/mash/branched-20110929/16/ppc64/os/Packages/

This is not a new issue and not related to any recent package changes, I've seen this for quite a while now.

Comment 5 Brent Baude 2011-10-18 22:08:44 UTC
Do we think this might be the culprit?

[   14.507812] systemd-vconsole-setup[351]: /bin/loadkeys failed with error code 1.
[   14.509097] systemd-vconsole-setup[351]: /bin/setfont failed with error code 1.

Comment 6 Will Woods 2011-10-18 22:16:11 UTC
Probably not. I'm guessing those errors happen because /bin/loadkeys and /bin/setfont don't exist - which is fine for the moment, because loader is going to set up the keymap/font by itself.

So: this is almost certainly a problem with loading the screenfont. The file that loader wants to load (/etc/screenfont.gz) is some magical, special screenfont file from the anaconda package, specifically for ppc64. Maybe that file is no good anymore? What would be a reasonable font file to try instead?

(Possibly we should just install loadkeys/setfont and let systemd handle it like it does on a normal system, but then we have to figure out how to make systemd change the font/keymap once you've picked a new font/keymap in loader..)

Comment 7 Karsten Hopp 2011-10-20 13:20:12 UTC
several issues here:
- we can't use the 32bit screenfont as there's a pointer to the unipair entries
  that's wrong on 64bit
- snarffont.c writes the cfo structure twice
- desc array in isysLoadFont() in pyanaconda/isys/lang.c was to small
- desc array needs to be 4 byte aligned

Comment 8 Karsten Hopp 2011-10-20 13:21:57 UTC
Created attachment 529270 [details]
fix for snarffont, fix for alignment problems

Comment 9 Karsten Hopp 2011-10-20 13:26:07 UTC
Created attachment 529271 [details]
screenfont for ppc64

Comment 10 Karsten Hopp 2011-10-20 13:35:22 UTC
Created attachment 529277 [details]
updated fix for snarffont, fix for alignment problems

Comment 11 Karsten Hopp 2011-10-20 14:44:49 UTC
Comment on attachment 529277 [details]
updated fix for snarffont, fix for alignment problems

the alignment fix is from Thomas Wörner

Comment 12 Karsten Hopp 2011-10-24 09:24:11 UTC
Ignore this comment, the array size is correct:
- desc array in isysLoadFont() in pyanaconda/isys/lang.c was to small

Comment 13 Chris Lumens 2011-10-24 14:46:51 UTC
Thanks for looking into this, everyone.  Ideally, any fix for this problem also involves removing our own screen font crud and just doing whatever the installed system would do, too.  anaconda has had this kind of special environment stuff (and all its associated problems) for far too long.

Comment 14 Chris Lumens 2011-10-24 14:47:21 UTC
See also:  bug 743429

Comment 15 Chris Lumens 2011-10-31 19:00:36 UTC
I've removed our font loading code in favor of just letting systemd load the real font files.  Let me know if there are other problems here.  Thanks.

Comment 16 Ingvar Hagelund 2011-11-22 09:12:38 UTC
Just wanted to let you know: This is not a ppc64 specific bug. It also appears when I boot the 32bit F16 Alpha ppc image on my Apple G3 eMac. Graphics card: ATI Radeon RV200 QW [Radeon 7500].

Ingvar

Comment 18 Fedora End Of Life 2013-01-17 01:31:46 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.